%% Speed and pulse(bpm) during a workout with elliptical machine
clear all;
close all;
clc;

%% Load Data
Pulse  = [57 69 78 80 85 87 90 92 97 108 119];
Speed = [0 1.6 3.1 4 5 6 6.9 7.7 8.7 12.4 15.3];

%% Linear Regression Model
[r,m,b] = regression(Pulse, Speed);

%% Show Results
plotregression(Pulse, Speed);
xlim([50 130])
ylim([0 20])
disp('----------------------------')
disp('Sample model:  y = mx + b')
disp(['y = ' num2str(m) 'x + ' num2str(b)])
disp('----------------------------')


%% Using fitlm

mdl = fitlm(Pulse, Speed);
time_observation = linspace(0, 120, 400)';
predicted_value = predict(mdl,time_observation);
%% Shoe Results

figure(2)
plot(Pulse, Speed, 'c+');
hold on
plot(Pulse, mdl.Fitted, 'r+');
plot(time_observation, predicted_value);
xlabel('Pulse value [bpm]', 'Interpreter', 'latex')
ylabel('Speed value', 'Interpreter', 'latex')
xlim([50 130])
set(gcf,'color','white');
legend('Speed', 'Predicted Speed', 'Model Fit', 'Interpreter', 'latex')